%bcond_with bootstrap

Name:           jsr-305
Version:        3.0.2
Release:        %mkrel 3
Group:          Development/Java
Summary:        Correctness annotations for Java code

# The majority of code is BSD-licensed, but some Java sources
# are licensed under CC-BY license, see: $ grep -r Creative .
License:        BSD and CC-BY
URL:            https://code.google.com/p/jsr-305
BuildArch:      noarch

# ./generate-tarball.sh
Source0:        %{name}-%{version}.tar.gz
# File containing URL to CC-BY license text
Source1:        NOTICE-CC-BY.txt

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap-openjdk8
%else
BuildRequires:  maven-local-openjdk8
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
%endif

%description
This package contains reference implementations, test cases, and other
documents for Java Specification Request 305: Annotations for Software Defect
Detection.

%{?javadoc_package}

%prep
%setup -q
cp %{SOURCE1} NOTICE-CC-BY

%pom_xpath_set "pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/*" 1.6

sed -i 's|<groupId>com\.google\.code\.findbugs</groupId>|<groupId>org.jsr-305</groupId>|' ri/pom.xml
sed -i 's|<artifactId>jsr305</artifactId>|<artifactId>ri</artifactId>|' ri/pom.xml

%mvn_file :ri %{name}
%mvn_alias :ri com.google.code.findbugs:jsr305
%mvn_package ":{proposedAnnotations,tcl}" __noinstall

# do not build sampleUses module - it causes Javadoc generation to fail
%pom_disable_module sampleUses

%pom_remove_parent ri
%pom_add_parent org.jsr-305:jsr-305:0.1-SNAPSHOT ri

%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin ri
%pom_remove_plugin org.apache.maven.plugins:maven-source-plugin ri
%pom_remove_plugin org.apache.maven.plugins:maven-javadoc-plugin ri
%pom_remove_plugin org.apache.maven.plugins:maven-gpg-plugin ri

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license ri/LICENSE NOTICE-CC-BY
%doc sampleUses




%changelog
* Fri May 24 2024 ns80 <ns80> 3.0.2-3.mga10
+ Revision: 2067290
- rebuild for java 21

* Mon Jul 25 2022 neoclust <neoclust> 3.0.2-2.mga9
+ Revision: 1871041
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.0.2-1.mga9
+ Revision: 1870584
- New version 3.0.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Jan 09 2021 daviddavid <daviddavid> 1-0.30.20130910svn.5.mga8
+ Revision: 1670126
- sync with fedora 33

* Sat Dec 05 2020 luigiwalser <luigiwalser> 1-0.18.20130910svn.4.mga8
+ Revision: 1653131
- set java source and target version to 1.8 to fix build

* Wed Feb 12 2020 umeabot <umeabot> 1-0.18.20130910svn.3.mga8
+ Revision: 1501857
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1-0.18.20130910svn.2.mga7
+ Revision: 1279158
- Mageia 7 Mass Rebuild

* Tue Jul 18 2017 akien <akien> 1-0.18.20130910svn.1.mga7
+ Revision: 1124785
- Bump version to be higher than Mageia 5 package

* Wed Mar 02 2016 daviddavid <daviddavid> 0-0.18.20130910svn.1.mga6
+ Revision: 982987
- First rebuild of the java stack
+ neoclust <neoclust>
- sync package jsr-305 with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1-0.7.20090319svn.6.mga5
+ Revision: 743830
- Second Mageia 5 Mass Rebuild

* Sat Oct 11 2014 pterjan <pterjan> 1-0.7.20090319svn.5.mga5
+ Revision: 738044
- Partial sync with fedora (without updating to new snapshot)
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1-0.7.20090319svn.4.mga4
+ Revision: 506495
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1-0.7.20090319svn.3.mga3
+ Revision: 355637
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 dmorgan <dmorgan> 1-0.7.20090319svn.2.mga3
+ Revision: 267157
- Increase Epoch to fix update from mdv

* Mon Jan 09 2012 dmorgan <dmorgan> 0-0.7.20090319svn.2.mga2
+ Revision: 193703
+ rebuild (emptylog)

* Fri Jan 06 2012 gil <gil> 0-0.7.20090319svn.1.mga2
+ Revision: 192330
- build fix fixed javadoc build
- build fix fixed depmap
- build fix fixed depmap
+ dmorgan <dmorgan>
- Source1 should be not needed ( test)
- Reuse jsr-305-ri-build.xml and jsr305-1.3.9.pom ( gil)
- Sync with fedora
- Reorder spec file

* Thu Oct 27 2011 gil <gil> 0-0.5.20090319svn.2.mga2
+ Revision: 158526
- edit pom
- edit depmap
- added new maven2 pom

* Thu Jan 20 2011 dmorgan <dmorgan> 0-0.5.20090319svn.1.mga1
+ Revision: 25686
- Add java-rpmbuild as buildrequire
- Add ant as buildrequire
- Use %%mkrel
- Sync with Opensuse to all to bootstrap
- imported package jsr-305


* Fri Nov 26 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0-0.5.20090319svn
- Fix pom filename (Resolves rhbz#655811)
- Remove tomcat5 BR (not needed anymore)
- Use new maven plugin names
- Remove gcj support
- Few tweaks according to new guidelines
- Make jars and javadocs versionless

* Thu Jan 14 2010 Jerry James <loganjerry@gmail.com> - 0-0.4.20090319svn
- Update to 19 Mar 2009 snapshot
- Compress with xz instead of bzip2
- BR tomcat5, a horrible workaround to solve bz 538868

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20090203svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar  4 2009 Jerry James <loganjerry@gmail.com> - 0-0.3.20090203svn
- Explicitly require OpenJDK to build

* Sat Feb 28 2009 Jerry James <loganjerry@gmail.com> - 0-0.2.20090203svn
- Update to 03 Feb 2009 snapshot

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.20080824svn.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 24 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080824svn.1
- Cleaned up summary

* Mon Sep  8 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080824svn
- Update to 24 Aug 2008 snapshot

* Mon Aug  4 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080721svn
- Update to 21 Jul 2008 snapshot

* Mon Jun 30 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080613svn
- Update to 13 Jun 2008 snapshot
- Fix broken URLs
- Include instructions on regenerating the tarball
- Conditionalize the gcj bits

* Mon Jun  2 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080527svn
- Update to 27 May 2008 snapshot

* Mon May 12 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20071105svn
- Initial RPM
